Bug 864210 - FEAT catalog should support /systems and /component friendly urls
FEAT catalog should support /systems and /component friendly urls
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wei Shen
Depends On:
Blocks: 837717
  Show dependency treegraph
Reported: 2012-10-08 17:17 EDT by Rob Landry
Modified: 2014-06-22 21:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-15 21:00:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rob Landry 2012-10-08 17:17:12 EDT
Description of problem:

The catalog should provide the correct redirection/param values for generic RHEL, systems, and components to be supported in friendly URLs.

For example:


would take the user to:


Other required supported formats include:


Should also be case insensitive.

Version-Release number of selected component (if applicable):

To be included in 5.0, and updated in the browse chart to use the friendly URLs.

Additional info:
Comment 1 Rob Landry 2012-10-15 16:44:51 EDT
Index.cgi needs to be updated to use these new links to encourage their adoption.
Comment 2 Wei Shen 2012-10-16 06:14:40 EDT
Created attachment 628077 [details]
the patch for list.cgi
Comment 3 Wei Shen 2012-10-16 06:15:31 EDT
I have applied a patch on web2 please verify it.
Comment 4 Rob Landry 2012-10-16 14:24:57 EDT
works well for me
Comment 8 Tony Fu 2012-11-01 03:28:25 EDT
verified in web2.
Comment 9 Tony Fu 2012-11-15 21:00:28 EST
verified on live system.

Note You need to log in before you can comment on or make changes to this bug.